//+------------------------------------------------------------------+
//|                                                    TimeZones.mq4 |
//|                       Copyright  2004, MetaQuotes Software Corp. |
//|                                         http://www.metaquotes.net |
//|                                Made/Modified by Alejandro Galindo |
//|                                                                   |
//|                                                                   |
//|                       if this work/modification is helpful to you |
//|                      send me a PayPal donation to ag@elcactus.com |
//|                                         any help is apreciated :) |
//|                                                           Thanks. |
//+-------------------------------------------------------------------+
#property copyright "Copyright  2005. Alejandro Galindo"
#property link      "http://elCactus.com"

#property indicator_chart_window

extern int EST=14;
extern int CountBars=500;
double PBuffer[];
double P;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  { 
     string short_name;


//---- indicator line
   SetIndexStyle(0,DRAW_LINE,0,2,White);
   SetIndexBuffer(0,PBuffer);




//----
   SetIndexDrawBegin(0,1);
//----
 

//---- indicator line

//----
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   int shift=0;
   for  (shift=Bars-1;shift>=0;shift--) {
   ObjectDelete("EST"+shift);
   ObjectDelete("Broker"+shift);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int shift, NumBars=500;   
   int limit, i;
   double CloseTime,OpenTime;
   
   if (Bars<CountBars)  { NumBars=Bars-1; } else { NumBars=CountBars; }

   for  (shift=Bars-1;shift>=0;shift--) {
 
//      OpenTime=StrToTime(TimeDay(Time[shift])+" "+EST+":"+OpenTimeMin);
//      CloseTime=StrToTime(TimeDay(Time[shift])+" "+MST+":"+CloseTimeMin);	 
	  
	  
	  if (TimeHour(Time[shift])== EST && TimeMinute(Time[shift])==0) {
	     if(ObjectFind("EST"+shift) != 0)
         {            
            ObjectCreate("EST"+shift, OBJ_VLINE, 0, Time[shift], 0);
            ObjectSet("EST"+shift, OBJPROP_STYLE, STYLE_DASHDOTDOT);
            ObjectSet("EST"+shift, OBJPROP_COLOR, Blue);
            P=(Open[shift]); 
            ObjectMove("Daily Open", 0, Time[shift],P);
            PBuffer[shift]=P;
            SetIndexStyle(0,DRAW_LINE,0,2,White);
            SetIndexBuffer(0,PBuffer);
            SetIndexDrawBegin(0,1);

        
         }           
      }
      
     	    
      
        

   }
//----
   return(0);
  }

